DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# GlobalFilterShapeSet

Set the global filter shape value

## SYNOPSIS

`#include "dip_globals.h"`

dip_Error dip_GlobalFilterShapeSet ( shape )

## FUNCTION

This function sets the global default of the filter shape used by DIPlib's linear and morphology filters. The initial value of this global is `DIP_FLT_SHAPE_RECTANGULAR`.

## ARGUMENTS

Data type | Name | Description
`dip_FilterShape` | `shape` | Filter shape

## SEE ALSO

`GlobalBoundaryConditionGet`, `GlobalBoundaryConditionSet`, `GlobalGaussianTruncationGet`, `GlobalGaussianTruncationSet`, `GlobalFilterShapeGet`

DIPlib on-line documentation | Function reference | Global function index